// yEncClient.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

/*
#include "UseConv.h"
#include "UseConv_i.c"
*/

// test decoding functions
#define DECODE

#ifdef DECODE
	#include <stdio.h>
#endif

int main(int argc, char* argv[])
{
#ifdef DECODE
	_bstr_t cinfile  = "f:\\00000005.ntx";
	_bstr_t coutfile;
#else
	_bstr_t cinfile  = "f:\\testfile.txt";
	_bstr_t coutfile = "f:\\out.ync";
#endif

	CoInitialize(NULL);

	// ICodec declared inside a code block because the
	// destructor will call ->Release() and it should be
	// out of scope before CoUninitialize();

	{
		// Where the hell did the IyEncPtr come from?

		IyEncPtr pCodec;
		HRESULT hr = pCodec.CreateInstance(__uuidof(yEnc));

		if (SUCCEEDED(hr)) {
#ifdef DECODE
			coutfile = pCodec->DecodeFile (cinfile);
			printf("Decoded %s\n", (LPCSTR) coutfile);
			SysFreeString(coutfile);
#else
			pCodec->EncodeFile (cinfile, coutfile);
#endif
		}
	}

	CoUninitialize();

	return 0;
}
